#! Flux2D 18.0
displayIsovalues()

EvolutiveCurve2D(name='Input_current_in_coil',
                 evolutivePath=EvolutivePath(parameterSet=[SetParameterXVariable(paramEvol=VariationParameter['TIME'],
                                                                                 limitMin=0.0,
                                                                                 limitMax=5.0E-4)]),
                 formula=['I(SOLIDCONDUCTOR2TERMINALS_1)'])

EvolutiveCurve2D(name='Deplacement_of_Armature',
                 evolutivePath=EvolutivePath(parameterSet=[SetParameterXVariable(paramEvol=VariationParameter['TIME'],
                                                                                 limitMin=0.0,
                                                                                 limitMax=5.0E-4)]),
                 formula=['LinPos(MOBILE)'])

EvolutiveCurve2D(name='Electromagnetic_force',
                 evolutivePath=EvolutivePath(parameterSet=[SetParameterXVariable(paramEvol=VariationParameter['TIME'],
                                                                                 limitMin=0.0,
                                                                                 limitMax=5.0E-4)]),
                 formula=['ForceElecMag(MOBILE)'])
				 
				 
CurveVariation2D['Input_current_in_coil'].exportTXT(txtFile='result/Input_current_in_coil',
          mode='replace')
		  
CurveVariation2D['Deplacement_of_Armature'].exportTXT(txtFile='result/Deplacement_of_Armature',
          mode='replace')
		  
CurveVariation2D['Electromagnetic_force'].exportTXT(txtFile='result/Electromagnetic_force',
          mode='replace')
		  
		  
		  
		  
saveProjectAs('PostProcessed.FLU')