#! Flux2D 18.0
Scenario(name='Scenario_1')

startMacroTransaction()

Scenario['Scenario_1'].addPilot(pilot=MultiValues(parameter=VariationParameter['TIME'],
                                                  intervals=[IntervalStepNumber(minValue=0.0,
                                                                                maxValue=5.0E-4,
                                                                                stepNumber=41)]))

Scenario['Scenario_1'].addPilot(pilot=MultiValues(parameter=VariationParameter['THICKNESS_COPPER_ARMATURE'],
                                                  intervals=[IntervalStepNumber(minValue=1.0,
                                                                                maxValue=2.9,
                                                                                stepNumber=8)]))

endMacroTransaction()

Scenario['SCENARIO_1'].solve(projectName='solved.FLU')

