#! Flux2D 18.0

##########################################################################
# Description:
#
# Test case of the example "Thomson Actuator" in application note
#                 
# Expected status:  FINALIZE_OK
#
# Author: Florian Le Calvez
#
# 180611 : Initial version (FLC)
#
##########################################################################

import aqDsl

try:
    # Check the testCase directory
     aqDsl.checkTestCase()
     executeBatchSpy('GeomMeshbuild.py')
     executeBatchSpy('Physicsbuild.py')
     executeBatchSpy('Solving.py')
     executeBatchSpy('Postprocessing.py')

except:
    # Manage error
    aqDsl.processErrorTestCase ()

finally:
    # Compare output files
    aqDsl.finalizeTestCase()

