#! Flux2D 18.0
newProject()
SketcherOption[1].magnetizationGrid=MagnetizationGrid(gridActivation='OUI',lengthGridCell=10.0,cellSubdivision=10,subdivisionPoint=10)
openSketcher2dContext()
closeSketcher2dContext()
buildFaces()
AidedMesh[1].aidedMeshState=AidedMeshInactivated()

######mesh point #############
MeshPoint(name='MESHPOINT_1',
          lengthUnit=LengthUnit['MILLIMETER'],
          value='0.5',
          color=Color['White'])

MeshPoint(name='MESHPOINT_10',
          lengthUnit=LengthUnit['MILLIMETER'],
          value='3',
          color=Color['White'])

MeshPoint(name='MESHPOINT_IB',
          lengthUnit=LengthUnit['MILLIMETER'],
          value='15',
          color=Color['White'])

######Mesh line #############
MeshLineArithmetic(name='MESHLINE_1',
                   color=Color['White'],
                   number=40)

MeshLineArithmetic(name='MESHLINE_2',
                   color=Color['White'],
                   number=2)

MeshLineGeometricNumber(name='MESHLINE_3',

                        color=Color['White'],

                        number=4,

                        concentrationFactor='1.5')

#######point##############

PointCoordinates(color=Color['White'],
                 visibility=Visibility['VISIBLE'],
                 coordSys=CoordSys['XY1'],
                 uvw=['0',
                      '30',
                      '0'],
                 nature=Nature['STANDARD'],
                 mesh=MeshPoint['MESHPOINT_1'])

PointCoordinates(color=Color['White'],
                 visibility=Visibility['VISIBLE'],
                 coordSys=CoordSys['XY1'],
                 uvw=['45.5',
                      '6',
                      '0'],
                 nature=Nature['STANDARD'],
                 mesh=MeshPoint['MESHPOINT_10'])

PointCoordinates(color=Color['White'],
                 visibility=Visibility['VISIBLE'],
                 coordSys=CoordSys['XY1'],
                 uvw=['0',
                      '6',
                      '0'],
                 nature=Nature['STANDARD'],
                 mesh=MeshPoint['MESHPOINT_10'])

PointCoordinates(color=Color['White'],
                 visibility=Visibility['VISIBLE'],
                 coordSys=CoordSys['XY1'],
                 uvw=['10',
                      '29',
                      '0'],
                 nature=Nature['STANDARD'],
                 mesh=MeshPoint['MESHPOINT_1'])

PointCoordinates(color=Color['White'],
                 visibility=Visibility['VISIBLE'],
                 coordSys=CoordSys['XY1'],
                 uvw=['10',
                      '30.1',
                      '0'],
                 nature=Nature['STANDARD'],
                 mesh=MeshPoint['MESHPOINT_1'])

PointCoordinates(color=Color['White'],
                 visibility=Visibility['VISIBLE'],
                 coordSys=CoordSys['XY1'],
                 uvw=['19.5003180289295',
                      '20',
                      '0'],
                 nature=Nature['STANDARD'])

PointCoordinates(color=Color['White'],
                 visibility=Visibility['VISIBLE'],
                 coordSys=CoordSys['XY1'],
                 uvw=['45.5',
                      '17.1',
                      '0'],
                 nature=Nature['STANDARD'])

PointCoordinates(color=Color['White'],
                 visibility=Visibility['VISIBLE'],
                 coordSys=CoordSys['XY1'],
                 uvw=['19.5003180289295',
                      '17.1',
                      '0'],
                 nature=Nature['STANDARD'])

PointCoordinates(color=Color['White'],
                 visibility=Visibility['VISIBLE'],
                 coordSys=CoordSys['XY1'],
                 uvw=['45.5',
                      '20',
                      '0'],
                 nature=Nature['STANDARD'])

PointCoordinates(color=Color['White'],
                 visibility=Visibility['VISIBLE'],
                 coordSys=CoordSys['XY1'],
                 uvw=['44.0003180289295',
                      '20.5',
                      '0'],
                 nature=Nature['STANDARD'])

PointCoordinates(color=Color['White'],
                 visibility=Visibility['VISIBLE'],
                 coordSys=CoordSys['XY1'],
                 uvw=['45',
                      '25.5',
                      '0'],
                 nature=Nature['STANDARD'])

PointCoordinates(color=Color['White'],
                 visibility=Visibility['VISIBLE'],
                 coordSys=CoordSys['XY1'],
                 uvw=['44.0003180289295',
                      '25.5',
                      '0'],
                 nature=Nature['STANDARD'])

PointCoordinates(color=Color['White'],
                 visibility=Visibility['VISIBLE'],
                 coordSys=CoordSys['XY1'],
                 uvw=['45',
                      '20.5',
                      '0'],
                 nature=Nature['STANDARD'])

PointCoordinates(color=Color['White'],
                 visibility=Visibility['VISIBLE'],
                 coordSys=CoordSys['XY1'],
                 uvw=['43.7',
                      '20.5',
                      '0'],
                 nature=Nature['STANDARD'])


PointCoordinates(color=Color['White'],

                 visibility=Visibility['VISIBLE'],

                 coordSys=CoordSys['XY1'],

                 uvw=['42.7003180289295',

                      '20.5',

                      '0'],

                 nature=Nature['STANDARD'])


PointCoordinates(color=Color['White'],

                 visibility=Visibility['VISIBLE'],

                 coordSys=CoordSys['XY1'],

                 uvw=['42.4',

                      '20.5',

                      '0'],

                 nature=Nature['STANDARD'])


PointCoordinates(color=Color['White'],

                 visibility=Visibility['VISIBLE'],

                 coordSys=CoordSys['XY1'],

                 uvw=['41.4003180289295',

                      '20.5',

                      '0'],

                 nature=Nature['STANDARD'])


PointCoordinates(color=Color['White'],

                 visibility=Visibility['VISIBLE'],

                 coordSys=CoordSys['XY1'],

                 uvw=['41.1',

                      '20.5',

                      '0'],

                 nature=Nature['STANDARD'])


PointCoordinates(color=Color['White'],

                 visibility=Visibility['VISIBLE'],

                 coordSys=CoordSys['XY1'],

                 uvw=['40.1003180289295',

                      '20.5',

                      '0'],

                 nature=Nature['STANDARD'])


PointCoordinates(color=Color['White'],

                 visibility=Visibility['VISIBLE'],

                 coordSys=CoordSys['XY1'],

                 uvw=['39.8',

                      '20.5',

                      '0'],

                 nature=Nature['STANDARD'])


PointCoordinates(color=Color['White'],

                 visibility=Visibility['VISIBLE'],

                 coordSys=CoordSys['XY1'],

                 uvw=['38.8003180289295',

                      '20.5',

                      '0'],

                 nature=Nature['STANDARD'])


PointCoordinates(color=Color['White'],

                 visibility=Visibility['VISIBLE'],

                 coordSys=CoordSys['XY1'],

                 uvw=['38.5',

                      '20.5',

                      '0'],

                 nature=Nature['STANDARD'])


PointCoordinates(color=Color['White'],

                 visibility=Visibility['VISIBLE'],

                 coordSys=CoordSys['XY1'],

                 uvw=['37.5003180289295',

                      '20.5',

                      '0'],

                 nature=Nature['STANDARD'])


PointCoordinates(color=Color['White'],

                 visibility=Visibility['VISIBLE'],

                 coordSys=CoordSys['XY1'],

                 uvw=['37.2',

                      '20.5',

                      '0'],

                 nature=Nature['STANDARD'])


PointCoordinates(color=Color['White'],

                 visibility=Visibility['VISIBLE'],

                 coordSys=CoordSys['XY1'],

                 uvw=['36.2003180289295',

                      '20.5',

                      '0'],

                 nature=Nature['STANDARD'])


PointCoordinates(color=Color['White'],

                 visibility=Visibility['VISIBLE'],

                 coordSys=CoordSys['XY1'],

                 uvw=['35.9',

                      '20.5',

                      '0'],

                 nature=Nature['STANDARD'])


PointCoordinates(color=Color['White'],

                 visibility=Visibility['VISIBLE'],

                 coordSys=CoordSys['XY1'],

                 uvw=['34.9003180289295',

                      '20.5',

                      '0'],

                 nature=Nature['STANDARD'])


PointCoordinates(color=Color['White'],

                 visibility=Visibility['VISIBLE'],

                 coordSys=CoordSys['XY1'],

                 uvw=['34.6',

                      '20.5',

                      '0'],

                 nature=Nature['STANDARD'])


PointCoordinates(color=Color['White'],

                 visibility=Visibility['VISIBLE'],

                 coordSys=CoordSys['XY1'],

                 uvw=['33.6003180289295',

                      '20.5',

                      '0'],

                 nature=Nature['STANDARD'])


PointCoordinates(color=Color['White'],

                 visibility=Visibility['VISIBLE'],

                 coordSys=CoordSys['XY1'],

                 uvw=['33.3',

                      '20.5',

                      '0'],

                 nature=Nature['STANDARD'])


PointCoordinates(color=Color['White'],

                 visibility=Visibility['VISIBLE'],

                 coordSys=CoordSys['XY1'],

                 uvw=['32.3003180289295',

                      '20.5',

                      '0'],

                 nature=Nature['STANDARD'])


PointCoordinates(color=Color['White'],

                 visibility=Visibility['VISIBLE'],

                 coordSys=CoordSys['XY1'],

                 uvw=['32',

                      '20.5',

                      '0'],

                 nature=Nature['STANDARD'])


PointCoordinates(color=Color['White'],

                 visibility=Visibility['VISIBLE'],

                 coordSys=CoordSys['XY1'],

                 uvw=['31.0003180289295',

                      '20.5',

                      '0'],

                 nature=Nature['STANDARD'])


PointCoordinates(color=Color['White'],

                 visibility=Visibility['VISIBLE'],

                 coordSys=CoordSys['XY1'],

                 uvw=['30.7',

                      '20.5',

                      '0'],

                 nature=Nature['STANDARD'])


PointCoordinates(color=Color['White'],

                 visibility=Visibility['VISIBLE'],

                 coordSys=CoordSys['XY1'],

                 uvw=['29.7003180289295',

                      '20.5',

                      '0'],

                 nature=Nature['STANDARD'])


PointCoordinates(color=Color['White'],

                 visibility=Visibility['VISIBLE'],

                 coordSys=CoordSys['XY1'],

                 uvw=['29.4',

                      '20.5',

                      '0'],

                 nature=Nature['STANDARD'])


PointCoordinates(color=Color['White'],

                 visibility=Visibility['VISIBLE'],

                 coordSys=CoordSys['XY1'],

                 uvw=['28.4003180289295',

                      '20.5',

                      '0'],

                 nature=Nature['STANDARD'])


PointCoordinates(color=Color['White'],

                 visibility=Visibility['VISIBLE'],

                 coordSys=CoordSys['XY1'],

                 uvw=['28.1',

                      '20.5',

                      '0'],

                 nature=Nature['STANDARD'])


PointCoordinates(color=Color['White'],

                 visibility=Visibility['VISIBLE'],

                 coordSys=CoordSys['XY1'],

                 uvw=['27.1003180289295',

                      '20.5',

                      '0'],

                 nature=Nature['STANDARD'])


PointCoordinates(color=Color['White'],

                 visibility=Visibility['VISIBLE'],

                 coordSys=CoordSys['XY1'],

                 uvw=['26.8',

                      '20.5',

                      '0'],

                 nature=Nature['STANDARD'])


PointCoordinates(color=Color['White'],

                 visibility=Visibility['VISIBLE'],

                 coordSys=CoordSys['XY1'],

                 uvw=['25.8003180289295',

                      '20.5',

                      '0'],

                 nature=Nature['STANDARD'])


PointCoordinates(color=Color['White'],

                 visibility=Visibility['VISIBLE'],

                 coordSys=CoordSys['XY1'],

                 uvw=['43.7',

                      '25.5',

                      '0'],

                 nature=Nature['STANDARD'])


PointCoordinates(color=Color['White'],

                 visibility=Visibility['VISIBLE'],

                 coordSys=CoordSys['XY1'],

                 uvw=['42.4',

                      '25.5',

                      '0'],

                 nature=Nature['STANDARD'])


PointCoordinates(color=Color['White'],

                 visibility=Visibility['VISIBLE'],

                 coordSys=CoordSys['XY1'],

                 uvw=['41.1',

                      '25.5',

                      '0'],

                 nature=Nature['STANDARD'])


PointCoordinates(color=Color['White'],

                 visibility=Visibility['VISIBLE'],

                 coordSys=CoordSys['XY1'],

                 uvw=['39.8',

                      '25.5',

                      '0'],

                 nature=Nature['STANDARD'])


PointCoordinates(color=Color['White'],

                 visibility=Visibility['VISIBLE'],

                 coordSys=CoordSys['XY1'],

                 uvw=['38.5',

                      '25.5',

                      '0'],

                 nature=Nature['STANDARD'])


PointCoordinates(color=Color['White'],

                 visibility=Visibility['VISIBLE'],

                 coordSys=CoordSys['XY1'],

                 uvw=['37.2',

                      '25.5',

                      '0'],

                 nature=Nature['STANDARD'])


PointCoordinates(color=Color['White'],

                 visibility=Visibility['VISIBLE'],

                 coordSys=CoordSys['XY1'],

                 uvw=['35.9',

                      '25.5',

                      '0'],

                 nature=Nature['STANDARD'])


PointCoordinates(color=Color['White'],

                 visibility=Visibility['VISIBLE'],

                 coordSys=CoordSys['XY1'],

                 uvw=['34.6',

                      '25.5',

                      '0'],

                 nature=Nature['STANDARD'])


PointCoordinates(color=Color['White'],

                 visibility=Visibility['VISIBLE'],

                 coordSys=CoordSys['XY1'],

                 uvw=['33.3',

                      '25.5',

                      '0'],

                 nature=Nature['STANDARD'])


PointCoordinates(color=Color['White'],

                 visibility=Visibility['VISIBLE'],

                 coordSys=CoordSys['XY1'],

                 uvw=['32',

                      '25.5',

                      '0'],

                 nature=Nature['STANDARD'])


PointCoordinates(color=Color['White'],

                 visibility=Visibility['VISIBLE'],

                 coordSys=CoordSys['XY1'],

                 uvw=['30.7',

                      '25.5',

                      '0'],

                 nature=Nature['STANDARD'])


PointCoordinates(color=Color['White'],

                 visibility=Visibility['VISIBLE'],

                 coordSys=CoordSys['XY1'],

                 uvw=['29.4',

                      '25.5',

                      '0'],

                 nature=Nature['STANDARD'])


PointCoordinates(color=Color['White'],

                 visibility=Visibility['VISIBLE'],

                 coordSys=CoordSys['XY1'],

                 uvw=['28.1',

                      '25.5',

                      '0'],

                 nature=Nature['STANDARD'])


PointCoordinates(color=Color['White'],

                 visibility=Visibility['VISIBLE'],

                 coordSys=CoordSys['XY1'],

                 uvw=['26.8',

                      '25.5',

                      '0'],

                 nature=Nature['STANDARD'])


PointCoordinates(color=Color['White'],

                 visibility=Visibility['VISIBLE'],

                 coordSys=CoordSys['XY1'],

                 uvw=['42.7003180289295',

                      '25.5',

                      '0'],

                 nature=Nature['STANDARD'])


PointCoordinates(color=Color['White'],

                 visibility=Visibility['VISIBLE'],

                 coordSys=CoordSys['XY1'],

                 uvw=['41.4003180289295',

                      '25.5',

                      '0'],

                 nature=Nature['STANDARD'])


PointCoordinates(color=Color['White'],

                 visibility=Visibility['VISIBLE'],

                 coordSys=CoordSys['XY1'],

                 uvw=['40.1003180289295',

                      '25.5',

                      '0'],

                 nature=Nature['STANDARD'])


PointCoordinates(color=Color['White'],

                 visibility=Visibility['VISIBLE'],

                 coordSys=CoordSys['XY1'],

                 uvw=['38.8003180289295',

                      '25.5',

                      '0'],

                 nature=Nature['STANDARD'])


PointCoordinates(color=Color['White'],

                 visibility=Visibility['VISIBLE'],

                 coordSys=CoordSys['XY1'],

                 uvw=['37.5003180289295',

                      '25.5',

                      '0'],

                 nature=Nature['STANDARD'])


PointCoordinates(color=Color['White'],

                 visibility=Visibility['VISIBLE'],

                 coordSys=CoordSys['XY1'],

                 uvw=['36.2003180289295',

                      '25.5',

                      '0'],

                 nature=Nature['STANDARD'])


PointCoordinates(color=Color['White'],

                 visibility=Visibility['VISIBLE'],

                 coordSys=CoordSys['XY1'],

                 uvw=['34.9003180289295',

                      '25.5',

                      '0'],

                 nature=Nature['STANDARD'])


PointCoordinates(color=Color['White'],

                 visibility=Visibility['VISIBLE'],

                 coordSys=CoordSys['XY1'],

                 uvw=['33.6003180289295',

                      '25.5',

                      '0'],

                 nature=Nature['STANDARD'])


PointCoordinates(color=Color['White'],

                 visibility=Visibility['VISIBLE'],

                 coordSys=CoordSys['XY1'],

                 uvw=['32.3003180289295',

                      '25.5',

                      '0'],

                 nature=Nature['STANDARD'])


PointCoordinates(color=Color['White'],

                 visibility=Visibility['VISIBLE'],

                 coordSys=CoordSys['XY1'],

                 uvw=['31.0003180289295',

                      '25.5',

                      '0'],

                 nature=Nature['STANDARD'])


PointCoordinates(color=Color['White'],

                 visibility=Visibility['VISIBLE'],

                 coordSys=CoordSys['XY1'],

                 uvw=['29.7003180289295',

                      '25.5',

                      '0'],

                 nature=Nature['STANDARD'])


PointCoordinates(color=Color['White'],

                 visibility=Visibility['VISIBLE'],

                 coordSys=CoordSys['XY1'],

                 uvw=['28.4003180289295',

                      '25.5',

                      '0'],

                 nature=Nature['STANDARD'])


PointCoordinates(color=Color['White'],

                 visibility=Visibility['VISIBLE'],

                 coordSys=CoordSys['XY1'],

                 uvw=['27.1003180289295',

                      '25.5',

                      '0'],

                 nature=Nature['STANDARD'])


PointCoordinates(color=Color['White'],

                 visibility=Visibility['VISIBLE'],

                 coordSys=CoordSys['XY1'],

                 uvw=['25.8003180289295',

                      '25.5',

                      '0'],

                 nature=Nature['STANDARD'])

PointCoordinates(color=Color['White'],

                 visibility=Visibility['VISIBLE'],

                 coordSys=CoordSys['XY1'],

                 uvw=['19',

                      '20',

                      '0'],

                 nature=Nature['STANDARD'],

                 mesh=MeshPoint['MESHPOINT_1'])



############line########
LineArcRadiusAnglePoint(color=Color['White'],

                        visibility=Visibility['VISIBLE'],

                        coordSys=CoordSys['XY1'],

                        defPoint=[Point[4],

                                  Point[70]],

                        radius='9',

                        angle='90',

                        nature=Nature['STANDARD'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[5],

                      Point[4]],

            nature=Nature['STANDARD'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[5],

                      Point[1]],

            nature=Nature['STANDARD'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[1],

                      Point[3]],

            nature=Nature['STANDARD'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[3],

                      Point[2]],

            nature=Nature['STANDARD'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[2],

                      Point[7]],

            nature=Nature['STANDARD'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[7],

                      Point[8]],

            nature=Nature['STANDARD'],

            mesh=MeshLine['MESHLINE_1'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[6],

                      Point[70]],

            nature=Nature['STANDARD'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[8],

                      Point[6]],

            nature=Nature['STANDARD'],

            mesh=MeshLine['MESHLINE_3'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[6],

                      Point[9]],

            nature=Nature['STANDARD'],

            mesh=MeshLine['MESHLINE_1'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[7],

                      Point[9]],

            nature=Nature['STANDARD'],

            mesh=MeshLine['MESHLINE_3'])

LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[41],

                      Point[69]],

            nature=Nature['STANDARD'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[55],

                      Point[40]],

            nature=Nature['STANDARD'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[69],

                      Point[55]],

            nature=Nature['STANDARD'],

            mesh=MeshLine['MESHLINE_2'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[40],

                      Point[41]],

            nature=Nature['STANDARD'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[39],

                      Point[68]],

            nature=Nature['STANDARD'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[54],

                      Point[38]],

            nature=Nature['STANDARD'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[68],

                      Point[54]],

            nature=Nature['STANDARD'],

            mesh=MeshLine['MESHLINE_2'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[38],

                      Point[39]],

            nature=Nature['STANDARD'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[37],

                      Point[67]],

            nature=Nature['STANDARD'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[53],

                      Point[36]],

            nature=Nature['STANDARD'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[36],

                      Point[37]],

            nature=Nature['STANDARD'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[67],

                      Point[53]],

            nature=Nature['STANDARD'],

            mesh=MeshLine['MESHLINE_2'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[35],

                      Point[66]],

            nature=Nature['STANDARD'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[66],

                      Point[52]],

            nature=Nature['STANDARD'],

            mesh=MeshLine['MESHLINE_2'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[52],

                      Point[34]],

            nature=Nature['STANDARD'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[34],

                      Point[35]],

            nature=Nature['STANDARD'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[65],

                      Point[51]],

            nature=Nature['STANDARD'],

            mesh=MeshLine['MESHLINE_2'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[33],

                      Point[65]],

            nature=Nature['STANDARD'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[51],

                      Point[32]],

            nature=Nature['STANDARD'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[32],

                      Point[33]],

            nature=Nature['STANDARD'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[31],

                      Point[64]],

            nature=Nature['STANDARD'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[64],

                      Point[50]],

            nature=Nature['STANDARD'],

            mesh=MeshLine['MESHLINE_2'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[50],

                      Point[30]],

            nature=Nature['STANDARD'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[30],

                      Point[31]],

            nature=Nature['STANDARD'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[29],

                      Point[63]],

            nature=Nature['STANDARD'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[63],

                      Point[49]],

            nature=Nature['STANDARD'],

            mesh=MeshLine['MESHLINE_2'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[49],

                      Point[28]],

            nature=Nature['STANDARD'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[28],

                      Point[29]],

            nature=Nature['STANDARD'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[27],

                      Point[62]],

            nature=Nature['STANDARD'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[62],

                      Point[48]],

            nature=Nature['STANDARD'],

            mesh=MeshLine['MESHLINE_2'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[48],

                      Point[26]],

            nature=Nature['STANDARD'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[26],

                      Point[27]],

            nature=Nature['STANDARD'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[25],

                      Point[61]],

            nature=Nature['STANDARD'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[47],

                      Point[24]],

            nature=Nature['STANDARD'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[61],

                      Point[47]],

            nature=Nature['STANDARD'],

            mesh=MeshLine['MESHLINE_2'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[24],

                      Point[25]],

            nature=Nature['STANDARD'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[23],

                      Point[60]],

            nature=Nature['STANDARD'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[60],

                      Point[46]],

            nature=Nature['STANDARD'],

            mesh=MeshLine['MESHLINE_2'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[46],

                      Point[22]],

            nature=Nature['STANDARD'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[22],

                      Point[23]],

            nature=Nature['STANDARD'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[21],

                      Point[59]],

            nature=Nature['STANDARD'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[59],

                      Point[45]],

            nature=Nature['STANDARD'],

            mesh=MeshLine['MESHLINE_2'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[45],

                      Point[20]],

            nature=Nature['STANDARD'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[20],

                      Point[21]],

            nature=Nature['STANDARD'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[19],

                      Point[58]],

            nature=Nature['STANDARD'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[58],

                      Point[44]],

            nature=Nature['STANDARD'],

            mesh=MeshLine['MESHLINE_2'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[44],

                      Point[18]],

            nature=Nature['STANDARD'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[18],

                      Point[19]],

            nature=Nature['STANDARD'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[17],

                      Point[57]],

            nature=Nature['STANDARD'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[57],

                      Point[43]],

            nature=Nature['STANDARD'],

            mesh=MeshLine['MESHLINE_2'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[43],

                      Point[16]],

            nature=Nature['STANDARD'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[16],

                      Point[17]],

            nature=Nature['STANDARD'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[15],

                      Point[56]],

            nature=Nature['STANDARD'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[42],

                      Point[14]],

            nature=Nature['STANDARD'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[56],

                      Point[42]],

            nature=Nature['STANDARD'],

            mesh=MeshLine['MESHLINE_2'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[14],

                      Point[15]],

            nature=Nature['STANDARD'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[10],

                      Point[12]],

            nature=Nature['STANDARD'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[12],

                      Point[11]],

            nature=Nature['STANDARD'],

            mesh=MeshLine['MESHLINE_2'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[11],

                      Point[13]],

            nature=Nature['STANDARD'])


LineSegment(color=Color['White'],

            visibility=Visibility['VISIBLE'],

            defPoint=[Point[13],

                      Point[10]],

            nature=Nature['STANDARD'])



buildFaces()

InfiniteBoxDisc(DISCOID=['100',

                         '130'])

SymmetryYaxis(physicalType=SymmetryTangentMagFields(),

              position='0')


InfiniteBoxDisc['InfiniteBoxDisc'].complete2D(buildingOption='Faces',
           coordSys=CoordSys['XY1'],
           linkMesh='LinkMesh')

FaceAutomatic[4,5,6,7,8,9,10,11,12,13,14,15,16,17,2,3].meshGenerator=MeshGenerator['MAPPED']

meshDomain()

result = checkGeometry()

RegionFace['INFINITE'].deleteForce()

saveProjectAs('GeoMeshbuild.FLU')

